## 工程目录结构

### uniCloud              
云空间目录，阿里云为uniCloud-aliyun,腾讯云为uniCloud-tcb（详见[uniCloud](https://uniapp.dcloud.net.cn/uniCloud/quickstart.html#structure)）

### common
存放应用初始化（init）、工具集（kit）、逻辑功能混入（mixin）、网络请求（request）和自定义通用样式（style）等。[详见](/common/README.md)

### components
符合vue组件规范的uni-app组件目录，[详见](/components/README.md)

### hybrid
App端存放本地html文件的目录，[详见](/hybrid/README.md)

### libs
存放第三方插件，包括js文件，[详见](/libs/README.md)

### local
语言国际化目录，可根据需要添加对应的语言文件拓展，[详见](/local/README.md)

### nativeplugins
App原生语言插件 [详见](/nativeplugins/README.md)

### nativeResources
App端原生资源目录，[详见](/nativeResources/README.md)
- android            Android原生资源目录 [详见](https://uniapp.dcloud.net.cn/tutorial/app-nativeresource-android.html#)
- ios                iOS原生资源目录 [详见](https://uniapp.dcloud.net.cn/tutorial/app-nativeresource-ios.html#资源文件-bundle-resources)

### pages
业务页面文件存放的目录，[详见](/pages/README.md)

### platforms
存放各平台专用页面的目录，[详见](/platforms/README.md)

### static
存放应用引用的本地静态资源（如图片、视频等）的目录，注意：静态资源只能存放于此。[详见](/static/README.md)

### store
存放vuex状态管理器相关文件，支持数据读写和持久化配置，[详见](/store/README.md)。

### uni_modules
存放[uni_module](/uni_modules/README.md)。

### unpackage
非工程代码，一般存放运行或发行的编译结果

### windows
宽屏适配，放置左、右、上窗口页面，[详见](/windows/README.md)

### wxcomponents
存放小程序组件的目录，[详见](/wxcomponents/README.md)

### AndroidManifest.xml
Android原生应用清单文件 [详见](https://uniapp.dcloud.net.cn/tutorial/app-nativeresource-android.html#)

### Info.plist
iOS原生应用配置文件 [详见](https://uniapp.dcloud.net.cn/tutorial/app-nativeresource-ios.html#)

### main.js
Vue初始化入口文件

### App.vue
应用配置，用来配置App全局样式以及监听 应用生命周期

### config.js
全局配置文件，定义了应用的全局控制变量

### main.js
uni-app 的入口文件，主要作用是初始化vue实例、定义全局组件、使用需要的插件如 vuex。[详见](https://uniapp.dcloud.net.cn/collocation/main.html)

### manifest.json
配置应用名称、appid、logo、版本等打包信息，[详见](https://uniapp.dcloud.net.cn/collocation/manifest.html#)

### pages.json
配置页面路由、导航条、选项卡等页面类信息，[详见](https://uniapp.dcloud.net.cn/collocation/pages.html#)

### theme.json
普通主题和暗黑主题的样式变量定义。[详见](https://uniapp.dcloud.net.cn/tutorial/darkmode.html)

### uni-starter.config.js
uni-starter模板工程全局配置文件，定义了应用的全局控制变量

### uni.scss
这里是uni-app内置的常用样式变量

[参考链接：目录结构](https://uniapp.dcloud.net.cn/tutorial/project.html#目录结构)