import uniStarterConfig from '@/uni-starter.config.js';
import config from "@/config.js"

// #ifdef H5
import vconsole from 'vconsole'
// 华为welink集成导入的JS路径
const HUAWEI_JS_PATH = "https://open-doc.welink.huaweicloud.com/docs/jsapi/2.0.6/hwh5-cloudonline.js";
// #endif
// #ifdef VUE2
import Vue from "vue";
// #endif

// uni-starter配置
const {
    debug
} = uniStarterConfig;

// 挂载到uni
uni.$config = config;

/**
 * 初始化设备系统信息
 */
function initSystemInfo() {
    // 初始化系统信息
    uni.getSystemInfo().then(res => {
        // 保存systemInfo
        // #ifdef VUE2
        uni.$u.vuex('vuex_systemInfo', res[1]);
        // #endif
        // #ifdef VUE3
        uni.$u.vuex('vuex_systemInfo', res);
        // #endif
    })
}

// #ifdef H5
/**
 * 初始化虚拟控制台
 */
function initVConsole() {
    if (debug) {
        // #ifdef VUE2
        Vue.prototype.$vconsole = new vconsole()
        // #endif
        // #ifdef VUE3
        getApp().globalData.$vconsole = new vconsole()
        // #endif
    }
}

/**
 * 集成到welink、ewx等平台，导入平台js sdk
 */
function importJS() {
    switch (uni.$config.platform) {
        case "welink":
            uni.$kit.importJS(HUAWEI_JS_PATH);
            break;
        default:
            break;
    }
}
// #endif

/**
 * 初始化环境
 */
export default function () {
    // 初始化系统信息
    initSystemInfo();
    // #ifdef H5
    // 初始化虚拟控制台
    initVConsole();
    // H5方式集成到第三方平台时，加载平台在线js脚本
    importJS();
    // #endif
}
