/**
 * uniCloud客户端设置相关监听
 */
function uniCloudListener() {
    /**
     * 监听云端响应
     * 用于监听云函数、云对象、clientDB的请求响应
     */
    uniCloud.onResponse(res => {
        if (res.content.errCode) {
            console.log("请求出错: ", res.content.errMsg);
        }
    })
    
    /**
     * 监听token刷新事件
     * 用于监听客户端token刷新事件，包括云对象返回newToken时自动更新token及clientDB自动更新token，
     * 注意uni-id-co登录返回的token也会触发此事件
     */
    uniCloud.onRefreshToken(res => {
        console.log("刷新token");
    })
}

export default function () {
    uniCloudListener();
}