/**
 * 严格判断value是否为空
 * @param {Object} value
 */
function isStrictEmpty(value) {
	return typeof value === "undefined" || value === null;
}

/**
 * 是否为空，包括数字为0和字符串，数组和对象length为0
 */
function isEmpty(value) {
    return isStrictEmpty(value) || value === 0 || value === '' || value.length === 0;
}

export default {
	isEmpty,
    isStrictEmpty
};
