import proto from "./prototype/index.js"

// import encoder from "./encoder/index.js"
import alpha from "./alpha.js"
import file from "./file.js"

import type from "./type.js"
import color from "./color.js"
import empty from "./empty.js"
import logger from "./logger.js"
import uniKit from "./uni.js"
import check from "./check.js"

uni.$kit = {
    // encoder,
    alpha,
    // date,
    ...file,
    ...type,
    color,
    ...empty,
    ...logger,
    ...uniKit,
    ...check
}

export default {
    install: app => {
        // #ifdef VUE2
        app.prototype.$kit = uni.$kit
        app.prototype.$color = color
        // #endif
        // #ifdef VUE3
        app.config.globalProperties.$kit = uni.$kit
        app.config.globalProperties.$color = color
        // #endif
    }
}