import config from "@/uni-starter.config.js";

/**
 * 打印错误日志
 */
function error(...args) {
	if (uni.$kit.isDev() || config.debug) {
		// #ifndef APP-PLUS
		console.error(...args);
		// #endif
		// #ifdef APP-PLUS
		console.error(args.map(item => {
			return JSON.stringify(item)
		}).join(", "));
		// #endif
	}
}

/**
 * 打印警告日志
 */
function warn(...args) {
	if (uni.$kit.isDev() || config.debug) {
		// #ifndef APP-PLUS
		console.warn(...args);
		// #endif
		// #ifdef APP-PLUS
		console.warn(args.map(item => {
			return JSON.stringify(item)
		}).join(", "));
		// #endif
	}
}

/**
 * 打印日志
 */
function log(...args) {
	if (uni.$kit.isDev() || config.debug) {
		// #ifndef APP-PLUS
		console.log(...args);
		// #endif
		// #ifdef APP-PLUS
		console.log(args.map(item => {
			return JSON.stringify(item)
		}).join(", "));
		// #endif
	}
}

/**
 * 打印调试日志
 */
function debug(...args) {
	if (uni.$kit.isDev() || config.debug) {
		// #ifndef APP-PLUS
		console.debug(...args);
		// #endif
		// #ifdef APP-PLUS
		console.debug(args.map(item => {
			return JSON.stringify(item)
		}).join(", "));
		// #endif
	}
}

/**
 * 打印信息日志
 */
function info(...args) {
	if (uni.$kit.isDev() || config.debug) {
		// #ifndef APP-PLUS
		console.info(...args);
		// #endif
		// #ifdef APP-PLUS
		console.info(args.map(item => {
			return JSON.stringify(item)
		}).join(", "));
		// #endif
	}
}

/**
 * 打印调用堆栈
 */
function printCallStack() {
	log(new Error().stack)
}

export default {
	error,
	warn,
	log,
	debug,
	info,
    printCallStack
}
