import type from "../type.js"

/**
 * 格式化金额
 */
Number.prototype.moneyText = function (n = 2) {
    let s = this;
    if (!s) {
        s = 0
    }
    
    n = n >= 0 && n <= 20 ? n : 2;
    s = parseFloat((s + "").replace(/[^\d\.-]/g, "")).toFixed(n) + "";
    let l = s.split(".")[0].split("").reverse(),
        r = s.split(".")[1];
    let t = "";
    for (let i = 0; i < l.length; i++) {
        t += l[i] + ((i + 1) % 3 === 0 && (i + 1) !== l.length ? " ," : "");
    }
    return t.split("").reverse().join("") + "." + r;
}

/**
 * 转换字节数为字符串
 */
Number.prototype.bytes2Text = function (n = 2) {
    return `${this}`.bytes2Text(n);
}

/**
 * 获取两个时间戳之间的天数
 * @param other 时间戳
 * @returns {number}
 */
Number.prototype.subDays = function (before) {
    let beforeTime = before;
    if (!type.isNumber(before)) {
        if (!isNaN(before)) {
            beforeTime = parseInt(before);
        } else if (type.isString(before)) {
            beforeTime = before.toTimestamp();
        } else {
            beforeTime = new Date().getTime();
        }
    }
    let afterTime = this;
    return Math.floor((afterTime - beforeTime) / (24 * 3600 * 1000));
};

/**
 * 时间戳转日期字符串
 */
Number.prototype.dateText = function (fmt) {
    const dateFormat = fmt || Date._i18nDateFormat();
    return new Date(this).format(dateFormat);
}

/**
 * 时间戳转中文日期字符串
 */
Number.prototype.dateCNText = function () {
    return this.dateText(Date.FMT_DATE_ZH);
}

/**
 * 时间戳转年月字符串
 */
Number.prototype.yearMonthText = function (fmt) {
    const dateFormat = fmt || Date._i18nDateFormat(false, false, true);
    return this.dateText(dateFormat);
}

/**
 * 时间戳转年月字符串
 */
Number.prototype.yearMonthCNText = function () {
    return this.yearMonthText(Date.FMT_DATE_SHORT_ZH);
}

export default {}