/**
 * 将对象转换为URL参数
 * @param {Object} params
 */
Object.prototype.toUrlParams = function () {
    if (Object.keys(this).length == 0) {
        return "";
    }
    return "?" + Object.entries(this).map(([key, value]) => `${key}=${encodeURIComponent(value)}`).join('&');
}

/**
 * 将对象转换为URL参数，url中已经有参数时，在url后追加更多参数
 * @param {Object} params
 */
Object.prototype.toMoreUrlParams = function () {
    if (Object.keys(this).length == 0) {
        return "";
    }
    return Object.entries(this).map(([key, value]) => `&${key}=${encodeURIComponent(value)}`).join('');
}

// 防止 vue-router 中使用 asign 对 Object.prototype 操作时，导致导航栏错误;
Object.defineProperty(Object.prototype, "toUrlParams", { "enumerable": false })
Object.defineProperty(Object.prototype, "toMoreUrlParams", { "enumerable": false })

export default {}