/**
 * 判断value是否为指定类型
 * @param {Object} value
 * @param {Object} type
 */
function _isTheType(value, type) {
    return Object.prototype.toString.call(value) == type;
}

/**
 * 判断是否为Null
 * @param {Object} value
 */
function isNull(value) {
    return _isTheType(value, "[object Null]")
}

/**
 * 判断是否未定义
 * @param {Object} value
 */
function isUndefined(value) {
    return _isTheType(value, "[object Undefined]")
}

/**
 * 判断是否为字符串
 * @param {Object} value
 */
function isString(value) {
    return _isTheType(value, "[object String]")
}

/**
 * 判断是否为数字
 * @param {Object} value
 */
function isNumber(value) {
    return _isTheType(value, "[object Number]")
}

/**
 * 判断是否为布尔
 * @param {Object} value
 */
function isBoolean(value) {
    return _isTheType(value, "[object Boolean]")
}

/**
 * 判断是否为Date
 * @param {Object} value
 */
function isDate(value) {
    return _isTheType(value, "[object Date]")
}

/**
 * 判断是否为普通对象
 * @param {Object} value
 */
function isObject(value) {
    return _isTheType(value, "[object Object]")
}

/**
 * 判断是否为数组
 * @param {Object} value
 */
function isArray(value) {
    return _isTheType(value, "[object Array]")
}

/**
 * 判断是否为方法
 * @param {Object} value
 */
function isFunction(value) {
    return _isTheType(value, "[object Function]")
}

export default {
    isNull,
    isUndefined,
    isString,
    isNumber,
    isBoolean,
    isDate,
    isObject,
    isArray,
    isFunction
}

