混入是Vue体现复用特性的重要内容，一个混入对象可以包含任意组件选项。当组件使用混入对象时，所有混入对象的选项将被“混合”进入该组件本身的选项。
## 1. 参考链接
Vue2可复用性，点击 [混入](https://v2.cn.vuejs.org/v2/guide/mixins.html) 阅读详细内容。
## 2. 本示例工程mixin说明
### 2.1 common
common目录下的混入文件，定义了组件和页面的通用方法，默认混入所有页面。
### 2.2 component
component目录下的混入文件，定了组件的相关公共属性、data、监听器、计算型变量和相关方法。可根据自定义的组件特性，选择混入的功能。
### 2.3 list
list目录下的混入文件，继承了request下的base模板，定义了普通列表（list）、页签列表（tab-list）和导航列表（tabbar-list）的base模板实现，可根据页面的特点选择使用。
### 2.4 request
网络请求相关混入文件，包括网络请求方法、初始化请求和业务数据网络请求。
### 2.5 scroll
滑动相关方法，包括页面级别滑动、scroll-view和touch-scroll处理方法，用于标记页面当前位置和防止滑动触发长按事件。
### 2.6 mixin目录下的混入文件
page.js（nvue.js为nvue页面和组件相关）为页面和组件的公共混入内容，auth.js定义登录和登出等操作方法，rotate-screen.js屏幕翻转方法处理，vconsole类小程序调试终端等。