/**
 * 弹出框公共属性
 */

export default {
    // #ifdef VUE3
    emits: ['close', 'update:modelValue'],
    // #endif
    props: {
        // 弹出层类型，可选值，top: 顶部弹出层；bottom：底部弹出层；center：全屏弹出层；left: 左侧弹出；right：右侧弹出
        // message: 消息提示 ; dialog : 对话框
        type: {
        	type: String,
        	default: 'center'
        },
        // #ifdef VUE2
        // v-model
        value: {
            type: Boolean,
            default: false
        },
        // #endif
        // #ifdef VUE3
        modelValue: {
            type: Boolean,
            default: false
        },
        // #endif
    },
    methods: {
        /**
         * 点击遮罩层事件处理
         */
        mixin_closePopup() {
            // #ifdef VUE2
            this.$emit('input', false);
            // #endif
            // #ifdef VUE3
            this.$emit('update.modelValue', false);
            // #endif
        }
    }
}