/**
 * 弹出框公共属性
 */

export default {
    // #ifdef VUE2
    model: {
        prop: 'value',
        event: 'input'
    },
    // #endif
    // #ifdef VUE3
    model: {
        prop: 'modelValue',
        event: 'update:modelValue'
    },
    emits: ['update:modelValue'],
    // #endif
    props: {
        // #ifdef VUE2
        // v-model
        value: {
            type: String,
            default: ""
        },
        // #endif
        // #ifdef VUE3
        modelValue: {
            type: String,
            default: ""
        },
        // #endif
    },
    data() {
        return {
            // 配合watch mv_modelValue监听实现v-model的传递
            mv_modelValue: ""
        }
    },
    watch: {
        /**
         * 更新参数
         * @param {Object} value
         * @param {Object} oldValue
         */
        mv_modelValue(value, oldValue) {
            // #ifdef VUE2
            this.$emit('input', value);
            // #endif
            // #ifdef VUE3
            this.$emit('update.modelValue', value);
            // #endif
        }
    },
    mounted() {
        // #ifdef VUE2
        this.mv_modelValue = this.value;
        // #endif
        // #ifdef VUE3
        this.mv_modelValue = this.modelValue;
        // #endif
    }
}