/**
 * 返回顶部，用于scroll-view的滑动，混入该组件时，需要放在较前面位置，否则可能由于混入顺序导致方法覆盖出现未定义异常
 */

export default {
    data() {
        return {
            // 滚动到顶部的距离
            mv_scrollViewTop: 0,
            // 正在滚动
            mv_scrolling: false,
            // 时间间隔定时器
            mv_interval: null
        }
    },
    methods: {
        /**
         * 监听scroll-view滚动事件，记录滑动位置
         * @param {Object} e
         */
        mixin_scroll(e) {
            // 标记滑动中和到顶部位置
            this.mv_scrolling = true;
            this.mv_scrollViewTop = e.detail.scrollTop;
            
            // 滑动过程中，清除间隔定时器
            if (this.mv_interval) {
                clearInterval(this.mv_interval);
                this.mv_interval = null;
            }
            
            // 重新设置间隔定时器
            this.mv_interval = setInterval(_ => {
                this.mv_scrolling = false;
                clearInterval(this.mv_interval);
                this.mv_interval = null;
            }, 100);
        }
    }
}
