/**
 * 解决滑动长按冲突问题，混入该组件时，需要放在较前面位置，否则可能由于混入顺序导致方法覆盖出现未定义异常
 */

export default {
    data() {
        return {
            // 正在滚动
            mv_scrolling: false
        }
    },
    
    methods: {
        /**
         * 开始接触
         * @param {Object} e
         */
        mixin_touchstart(e) {
            this.mv_scrolling = false;
        },
        
        /**
         * 滑动中
         * @param {Object} e
         */
        mixin_touchmove(e) {
            this.mv_scrolling = true;
        },
        
        /**
         * 滚动结束
         * @param {Object} e
         */
        mixin_touchend(e) {
            this.mv_scrolling = false;
        },
    }
}
