// 文件上传接口restful api路径
const uploadUrl = "/doc/file/upload";

/**
 * 文件上传
 */
const upload = async (formData, files, onProgress) => {
	if (uni.$kit.isArray(files)) {
        // 暂不支持多文件同时上传
		return await uni.$http.UPLOADS(uploadUrl, formData, files, onProgress);
	} else {
		return await uni.$http.UPLOAD(uploadUrl, formData, files, onProgress);
	}
}

/**
 * 文件下载
 */
const download = async (file, onProgress) => {
    const {
        path,
        filePath
    } = file;
	if (uni.$kit.isNumber(path)) {
		return await uni.$http.DOWNLOAD(`/doc/file/download?fileId=${path}`, filePath, onProgress);
	}
	return await uni.$http.DOWNLOAD(path, filePath, onProgress);
}

/**
 * 消息图片下载
 */
const download2 = async (file, onProgress) => {
    const {
        path,
        filePath
    } = file;
	if (uni.$kit.isNumber(path)) {
		return await uni.$http.DOWNLOAD(`/sys/busimessage/image/download?id=${path}`, filePath, onProgress);
	}
	return await uni.$http.DOWNLOAD(path, filePath, onProgress);
}

/**
 * 获取文件详情
 */
const loadFileInfo = async (fileId) => {
    return await uni.$http.GET(`/doc/file/${fileId}/info`);
}

export default {
    uploadUrl,
	upload,
	download,
    download2,
    loadFileInfo
}