import http from "./http.js"
import api from "./api"

// 借鉴uView挂载$u的方式，可在任何地方使用$http请求
uni.$http = {
    ...http,
    ...api
};

/**
 * 通过插件方式使用，当然也可以直接在main.js中给Vue原型赋值
 */
const install = app => {
    // #ifdef VUE2
    app.prototype.$http = uni.$http;
    // #endif
    // #ifdef VUE3
    app.config.globalProperties.$http = uni.$http;
    // #endif
}

/**
 * 安装插件后，请使用this.$http请求网络
 */
export default {
    install
}