import starterConfig from "@/uni-starter.config.js";

/**
 * 项目自定义配置
 */
export default {
    // uni-starter的相关配置
    starterConfig,
    // 是否启用云开发
    uniCloud: false,
    // 开启水印功能
    watermark: false,
    // 骨架屏
    skeleton: false,
    // H5集成平台类型
    platform: "none",
    // 传统网络请求协议类型: 0-http; 1-https
    NPType: 1,
    // 传统网络请求主机IP或域名
    host: "acm.wisdomidata.com",
    // 传统网络请求端口，数组中第一个http对应端口号，第二个https对应端口号
    ports: [8765, 8443],
    // 移动应用部署主机IP或域名
    mobileHost: "192.168.3.108",
    // 移动端和服务端部署在同一服务器，移动端页面端口，数组中第一个http对应端口号，第二个https对应端口号
    mobilePorts: [8081, 8081],
    // http请求页数大小
    pageSize: 20,
    // 忽略Token过期验证，适配传统网络请求中不返回tokenExpired的情况
    ignoreTokenExpired: false,
    // uni底层逻辑实现拦截需要登录的页面跳转
    uniIntercept: false,
    // 跳过登录
    skipLogin: true
}