/**
 * 获取路径参数
 * @param {Object} name
 */
function getUrlParam(name) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)"); //构造一个含有目标参数的正则表达式对象
    var r = window.location.search.substr(1).match(reg); //匹配目标参数
    if(r != null) {
		return unescape(r[2]);
	}
    return null; //返回参数值
}

/**
 * 单文件上传
 * @param {Object} file
 */
function upload(file) {
	var formData = new FormData();
	formData.append('file', file);
	formData.append('fileName', file.name);
	formData.append('bizId', getUrlParam('bizId') || '');
	
	return fetch(getUrlParam('uploadUrl'), {
		method: 'POST',
		body: formData,
		headers: new Headers({
			Authorization: getUrlParam('Authorization')
		})
	}).then(response => {
		return response.json()
	}).then(res => {
		console.log("upload res: " + JSON.stringify(res))
		return res
	}).catch(error => {
		console.error('upload catch:' + JSON.stringify(error))
		return JSON.stringify(error)
	})
}

/**
 * 批量文件上传
 * @param {Object} files
 */
function uploads(files) {
	var formData = new FormData();
	for (var i = 0; i < files.length; i++) {
		formData.append('files', files[i]);
		formData.append('fileName', file[i].name);
		formData.append('bizId', getUrlParam('bizId'));
	}
	return fetch(getUrlParam('uploadUrl'), {
		method: 'POST',
		body: formData,
		headers: new Headers({
			Authorization:  getUrlParam('Authorization') 
		})
	}).then(response => {
		const res = response.json()
		console.log('upload res:' + res)
		return res
	}).catch(error => {
		console.error('upload catch:' + JSON.stringify(error))
		return JSON.stringify(error)
	})
}
