import langEn from './en'
import zhHans from './zh-Hans'
import zhHant from './zh-Hant'
import uniStarterConfig from '@/uni-starter.config.js'

const {
    i18n: {
        enable: i18nEnable
    }
} = uniStarterConfig
let currentLang
if (i18nEnable) {
    currentLang = uni.getStorageSync('CURRENT_LANG')
} else {
    currentLang = "zh-Hans"
}
if (!currentLang) {
    if (uni.getLocale) {
        console.log('获取应用语言: ', uni.getLocale())
        let language = 'en'
        if (uni.getLocale() != 'en') {
            language = 'zh-Hans'
        }
        uni.setStorageSync('CURRENT_LANG', language)
        currentLang = language
    } else {
        uni.getSystemInfo({
            success: function(res) {
                console.log('获取设备信息: ', res)
                let language = 'zh-Hans'
                if (res.language == 'en') {
                    language = 'en'
                }
                uni.setStorageSync('CURRENT_LANG', language)
                currentLang = language
            },
            fail: console.error
        })
    }
}

// 判断中文简体
uni.isCn = function () {
    return uni.getLocale() == "zh-Hans";
}

// 国际化配置
const messages = {
    'en': langEn,
    'zh-Hans': zhHans,
    'zh-Hant': zhHant
}
let i18nConfig = {
    locale: currentLang, // set locale
    fallbackLocale: 'zh-Hans', // set fallback locale
    messages // set locale messages
}

// #ifdef VUE2
import Vue from 'vue'
import VueI18n from 'vue-i18n'
Vue.use(VueI18n)
const i18n = new VueI18n(i18nConfig)
// #endif

// #ifdef VUE3
import {
    createI18n
} from 'vue-i18n'
const i18n = createI18n(i18nConfig)
// #endif

export default i18n
