export default {
    /**
     * 说明：有时候我们需要从store中的state中派生出一些状态，例如对列表进行过滤并计数
     * 就像计算属性一样，getter的返回值会根据它的依赖被缓存起来，且只有当它的依赖值发生了改变才会被重新计算
     * 使用方式：
     * （1）this.$store.getters.*
     * （2）mapGetters 辅助函数，mapGetters 辅助函数仅仅是将 store 中的 getter 映射到局部计算属性
     * （3）可接受第二个其他getters的参数：(state, getters) => {}
     *  (4) 支持第三个第四个参数 (state, getters, rootState, rootGetters) => {}
     */
    vc_dateFormat: (state, getters) => {
        return "yyyy-MM-dd";
    },
    
    /**
     * 精确到分钟
     */
    vc_toMinute: (state, getters) => {
        return getters.vc_dateFormat.length > 10;
    }
}
