/**
 * 本地storage缓存的数据
 */
let lifeData = {};

try {
    // 尝试获取本地是否存在lifeData变量，第一次启动APP时是不存在的
    lifeData = uni.getStorageSync('lifeData');
} catch (e) {

}

// 系统设置相关变量
export default {
    namespaced: true,
    state: {
        lang: lifeData.vuex_settings?.lang ?? 'auto', // 可选：cn / en
        enableDebug: lifeData.vuex_settings?.enableDebug ?? false,
        security: lifeData.vuex_settings?.security ?? {
            open: false,
            interval: 0,
            password: "",
            timestamp: 0,
            times: 0,
            // 开启指纹认证
            fpOpen: false,
            // 开启手势认证
            gestureOpen: false,
            // 显示手势轨迹
            gestureShow: false,
            // 手势密码
            gesturePassword: "",
            // 开启刷脸认证
            faceOpen: false
        }
    },
    mutations: {
        /**
         * 设置密码保护时间戳
         * @param {Object} state
         * @param {Object} value
         */
        setTimestamp(state, value) {
            state.pwdSecurity.timestamp = value || new Date().getTime();
        }
    }
}