import config from "@/config.js";

/**
 * 用户信息
 */
export default {
    namespaced: true,
    state: {
        // uni-id体系token
        token: uni.getStorageSync('uni_id_token'),
        // uni-id体系tokenExpired
        tokenExpired: uni.getStorageSync('uni_id_token_expired'),
        // 用户信息
        userInfo: uni.getStorageSync('userInfo') || {}
    },
    getters: {
        /**
         * 判断Token是否有效 (state, getters, rootState, rootGetters)
         * @param {Object} state
         */
        isTokenValid(state) {
            // 忽略判断Token过期时，需要开发者通过网络请求的返回确定是否更新Token或重新登录
            if (config.ignoreTokenExpired) { 
                return !!state.token;
            }
            return !!state.token && !!state.tokenExpired && state.tokenExpired > Date.now();
        }
    }
}
