/**
 * 说明：Vuex的store接受plugins选项，这个选项暴露出每次mutation的钩子。
 * Vuex插件就是一个函数，它接收store作为唯一参数。
 */

/**
 * 订阅mutation动作，每次store变更都会调用该方法
 */
const subscribe = store => {
  // 当store初始化后调用
  store.subscribe((mutation, state) => {
    // 每次mutation之后调用
    // mutation 的格式为 { type, payload }
  })
}

export default subscribe