/**
 * 使用 npm 安装的组件，默认情况下 babel-loader 会忽略所有 node_modules 中的文件 ，
 * 导致条件编译失效，需要通过配置 vue.config.js 解决
 */
module.exports = {
   transpileDependencies: ['@dcloudio/uni-ui'],
   configureWebpack: {
       devServer: {
           // 内网穿透，有时候需要通过花生壳等工具，进行内网穿透，让外部的人可以访问到本地的调试网页，
           // 这时由于webpack-dev-server会默认检查hostname， 去掉此限制即可
           disableHostCheck: true 
       }
   }
}